import { type Facade } from '../../facade/facade.js';
import { type ApplicationVersionsSchema } from '../../../../data/schema/model/common/application-versions-schema.js';
import { type SemVer } from 'semver';
export declare class ApplicationVersions implements Facade<ApplicationVersionsSchema> {
    readonly encapsulatedObject: ApplicationVersionsSchema;
    constructor(encapsulatedObject: ApplicationVersionsSchema);
    get cli(): SemVer;
    set cli(cli: SemVer);
    get chart(): SemVer;
    set chart(chart: SemVer);
    get consensusNode(): SemVer;
    set consensusNode(consensusNode: SemVer);
    get mirrorNodeChart(): SemVer;
    set mirrorNodeChart(mirrorNodeChart: SemVer);
    get explorerChart(): SemVer;
    set explorerChart(explorerChart: SemVer);
    get jsonRpcRelayChart(): SemVer;
    set jsonRpcRelayChart(jsonRpcRelayChart: SemVer);
    get blockNodeChart(): SemVer;
    set blockNodeChart(blockNodeChart: SemVer);
}
